StopBotAnalyzer - Amazon Lex API Reference

StopBotAnalyzer

Cancels an ongoing bot analysis execution. Once stopped, the analysis cannot be resumed and no recommendations will be generated.

Request Syntax

PUT /bots/botId/botanalyzer/botAnalyzerRequestId/stop/ HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

botAnalyzerRequestId

The unique identifier of the analysis request to stop.

Length Constraints: Fixed length of 36.

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Required: Yes

botId

The unique identifier of the bot.

Length Constraints: Fixed length of 10.

Pattern: ^[0-9a-zA-Z]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "botAnalyzerRequestId": "string", "botAnalyzerStatus": "string", "botId": "string", "botVersion": "string", "localeId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

botAnalyzerRequestId

The unique identifier of the analysis request.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

botAnalyzerStatus

The updated status of the analysis. The status will be Stopping and will eventually transition to Stopped.

Valid Values: Processing | Available | Failed | Stopping | Stopped

Type: String

Valid Values: Processing | Available | Failed | Stopping | Stopped

botId

The unique identifier of the bot.

Type: String

Length Constraints: Fixed length of 10.

Pattern: ^[0-9a-zA-Z]+$

botVersion

The version of the bot.

Type: String

Length Constraints: Fixed length of 5.

Pattern: ^DRAFT$

localeId

The locale identifier of the bot locale.

Type: String

Errors

For information about the errors that are common to all actions, see Common Errors.

InternalServerException

The service encountered an unexpected condition. Try your request again.

HTTP Status Code: 500

ResourceNotFoundException

You asked to describe a resource that doesn't exist. Check the resource that you are requesting and try again.

HTTP Status Code: 404

ThrottlingException

Your request rate is too high. Reduce the frequency of requests.

retryAfterSeconds

The number of seconds after which the user can invoke the API again.

HTTP Status Code: 429

ValidationException

One of the input parameters in your request isn't valid. Check the parameters and try your request again.

HTTP Status Code: 400

Examples

Example request

This example illustrates one usage of StopBotAnalyzer.

PUT https://models-v2-lex.us-east-1.amazonaws.com/bots/<BotId>/botanalyzer/<RequestId>/stop/

Example response

This example illustrates one usage of StopBotAnalyzer.

{ "botId": "<BotId>", "botVersion": "DRAFT", "localeId": "en_US", "botAnalyzerStatus": "Stopping", "botAnalyzerRequestId": "<RequestId>" }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: